<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/parser.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/parser.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/parser.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestPHP5 extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testPHP5() {
<a name="line12"></a>	    
<a name="line13"></a>		$this->DoctorTestCase('PHP5 parser tests');
<a name="line14"></a>		
<a name="line15"></a>		$this->setIniFile('parser.ini');
<a name="line16"></a>		$this->output = $this->runPhpDoctor();
<a name="line17"></a>		
<a name="line18"></a>		#var_dump($this->output); die;
<a name="line19"></a>	}
<a name="line20"></a>	
<a name="line21"></a>	function testInterface() {
<a name="line22"></a>		$this->assertTrue(strpos($this->output, 'public interface PHPDoctor\\Tests\\Data\\anInterface'));
<a name="line23"></a>		$this->assertTrue(strpos($this->output, 'public final static str PHPDoctor\\Tests\\Data\\aConst = \'const\''));
<a name="line24"></a>		$this->assertTrue(strpos($this->output, 'public final static int PHPDoctor\\Tests\\Data\\anIntConst'));
<a name="line25"></a>		$this->assertTrue(strpos($this->output, 'private final static int PHPDoctor\\Tests\\Data\\aPrivateIntConst'));
<a name="line26"></a>		$this->assertTrue(strpos($this->output, 'public final static int PHPDoctor\\Tests\\Data\\multipleConsts1 = 1'));
<a name="line27"></a>		$this->assertTrue(strpos($this->output, 'public final static int PHPDoctor\\Tests\\Data\\multipleConsts2 = 2'));
<a name="line28"></a>		$this->assertTrue(strpos($this->output, 'public final static int PHPDoctor\\Tests\\Data\\multipleConsts3 = 3'));
<a name="line29"></a>	}
<a name="line30"></a>	
<a name="line31"></a>	function testClass() {
<a name="line32"></a>		$this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\Data\\aClass implements PHPDoctor\\Tests\\Data\\anInterface'));
<a name="line33"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$aVar'));
<a name="line34"></a>		$this->assertTrue(strpos($this->output, 'public int PHPDoctor\\Tests\\Data\\$anIntVar'));
<a name="line35"></a>		$this->assertTrue(strpos($this->output, 'private int PHPDoctor\\Tests\\Data\\$aPrivateIntVar'));
<a name="line36"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$multipleVars1 = 1'));
<a name="line37"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$multipleVars2'));
<a name="line38"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$multipleVars3 = 3'));
<a name="line39"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$aVarWithValue = 1'));
<a name="line40"></a>		$this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$anArrayVar = array(4, 5, 6)'));
<a name="line41"></a>		
<a name="line42"></a>		$this->assertTrue(strpos($this->output, 'final static bool PHPDoctor\\Tests\\Data\\booleanClassConstant = TRUE'));
<a name="line43"></a>		$this->assertTrue(strpos($this->output, 'final static str PHPDoctor\\Tests\\Data\\stringClassConstant = \'str\''));
<a name="line44"></a>		$this->assertTrue(strpos($this->output, 'final static int PHPDoctor\\Tests\\Data\\integerClassConstant = 3'));
<a name="line45"></a>	}
<a name="line46"></a>	
<a name="line47"></a>	function testFunction() {
<a name="line48"></a>	    $this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\FileLevel\\aFunction()'));
<a name="line49"></a>	    $this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\FileLevel\\aFunctionWithParams(mixed one, mixed two)'));
<a name="line50"></a>	    $this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\FileLevel\\aFunctionWithTypeHints(int three, string four)'));
<a name="line51"></a>	    $this->assertTrue(strpos($this->output, 'throws myException'));
<a name="line52"></a>	    $this->assertTrue(strpos($this->output, 'throws myInterfaceException'));
<a name="line53"></a>	    $this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\FileLevel\\functionThatReturnsAReference()'));
<a name="line54"></a>	}
<a name="line55"></a>	
<a name="line56"></a>	function testMethod() {
<a name="line57"></a>		$this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\Data\\aMethod()'));
<a name="line58"></a>		$this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\Data\\aMethodWithParams(mixed one, mixed two)'));
<a name="line59"></a>		$this->assertTrue(strpos($this->output, 'mixed PHPDoctor\\Tests\\Data\\$one'));
<a name="line60"></a>		$this->assertTrue(strpos($this->output, 'mixed PHPDoctor\\Tests\\Data\\$two'));
<a name="line61"></a>		$this->assertTrue(strpos($this->output, 'private bool PHPDoctor\\Tests\\Data\\aPrivateMethodWithParams(str one, int two)'));
<a name="line62"></a>		$this->assertTrue(strpos($this->output, 'str PHPDoctor\\Tests\\Data\\$one'));
<a name="line63"></a>		$this->assertTrue(strpos($this->output, 'int PHPDoctor\\Tests\\Data\\$two'));
<a name="line64"></a>		
<a name="line65"></a>		$this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\Data\\aMethodWithGuessedParamTypes(str stringParam, int integerParam, bool booleanParam)'));
<a name="line66"></a>	}
<a name="line67"></a>	
<a name="line68"></a>	function testConstant() {
<a name="line69"></a>		$this->assertTrue(strpos($this->output, 'final int PHPDoctor\\Tests\\FileLevel\\CONSTANT = 1'));
<a name="line70"></a>        $this->assertTrue(strpos($this->output, 'final int PHPDoctor\\Tests\\FileLevel\\CONSTANT2 = 2'));
<a name="line71"></a>        $this->assertTrue(strpos($this->output, 'final str PHPDoctor\\Tests\\FileLevel\\CONSTANT3 = \'three\''));
<a name="line72"></a>        // global constant defined within another program element
<a name="line73"></a>        $this->assertTrue(strpos($this->output, 'final int PHPDoctor\\Tests\\FileLevel\\THREE = 3'));
<a name="line74"></a>	}
<a name="line75"></a>	
<a name="line76"></a>	function testInheritance() {
<a name="line77"></a>		$this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\Data\\childClass extends PHPDoctor\\Tests\\Data\\aClass'));
<a name="line78"></a>		
<a name="line79"></a>		$this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\FileLevel\\inheritTestChild extends PHPDoctor\\Tests\\FileLevel\\inheritTest'));
<a name="line80"></a>		$this->assertTrue(strpos($this->output, 'InheritDoc: Test inheriting of class doccomments'));
<a name="line81"></a>		$this->assertTrue(strpos($this->output, 'InheritDoc: Test inheriting of method doccomments'));
<a name="line82"></a>		$this->assertTrue(strpos($this->output, 'InheritDoc: Test inheriting of field doccomments'));
<a name="line83"></a>		
<a name="line84"></a>		$this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\FileLevel\\inheritTestImplements implements PHPDoctor\\Tests\\FileLevel\\inheritInterfaceTest'));
<a name="line85"></a>		$this->assertTrue(strpos($this->output, 'InheritDoc: Test inheriting of interface doccomments'));
<a name="line86"></a>		$this->assertTrue(strpos($this->output, 'InheritDoc: Test inheriting of interface method doccomments'));
<a name="line87"></a>		$this->assertTrue(strpos($this->output, 'InheritDoc: Test inheriting of interface field doccomments'));
<a name="line88"></a>	}
<a name="line89"></a>    
<a name="line90"></a>    function testHTMLInVariable() {
<a name="line91"></a>        $this->assertTrue(strpos($this->output, 'public mixed PHPDoctor\\Tests\\Data\\$varContainingHTMLToEscape = \'<strong>Escape me</strong>\''));
<a name="line92"></a>	}
<a name="line93"></a>	
<a name="line94"></a>	function testExtendingClassWithSameNameInDifferentNamespace() {
<a name="line95"></a>	    if (version_compare(EXEC_VERSION, '5.3.0', '>=')) {
<a name="line96"></a>            $this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\FileLevel\\duplicateClass extends PHPDoctor\\Tests\\MyNamespace\\duplicateClass'));
<a name="line97"></a>            $this->assertTrue(strpos($this->output, 'public class PHPDoctor\\Tests\\MyNamespace\\duplicateClass'));
<a name="line98"></a>        }
<a name="line99"></a>	}
<a name="line100"></a>	
<a name="line101"></a>	function testNonExplicitParameterDoctags() {
<a name="line102"></a>		if (version_compare(EXEC_VERSION, '5.3.0', '>=')) {
<a name="line103"></a>			$this->assertTrue(strpos($this->output, 'public void PHPDoctor\\Tests\\MyNamespace\\NonExplicitParameterDoctags(string field, string value, bool default)'));
<a name="line104"></a>		}
<a name="line105"></a>	}
<a name="line106"></a>	
<a name="line107"></a>}
<a name="line108"></a>
<a name="line109"></a>?>
<a name="line110"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/parser.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>